#include<stdio.h>
#include<iostream>
using namespace std;
char A[11][11];
static int N,M;
void ispisi()
{
    int i,j;
    for(i=0;i<N;i++)
    {
        for(j=0;j<M;j++)
            printf("%c",A[i][j]);
        printf("\n");
    }
}
int prazna()
{
    int flag=0,i,j;
    for(i=0;i<N;i++)
    {
        for(j=0;j<M;j++)
        {
            if(A[i][j]!='.')
                flag=1;
        }

    }
    if(flag==1)
        return 0;
    return 1;
}
main()
{

    int i,j;
    cin>>N>>M;
    for(i=0;i<N;i++)
    {
        for(j=0;j<M;j++)
        {
            cin>>A[i][j];
        }
    }
    if(prazna())
    {for(i=0;i<N&&i<M;i++)
        A[i][i]='C';
    ispisi();}
    else
        printf("-1");
}